#
# Conditional build:
%bcond_without  doc             # don't build doc
%bcond_with  tests   # do not perform "make test"
%bcond_without  python2 # CPython 2.x module
%bcond_without  python3 # CPython 3.x module


%define 	module	flask
Summary:	A microframework based on Werkzeug, Jinja2 and good intentions
Name:		python-%{module}
Version:	0.10.1
Release:	5
License:	BSD
Group:		Development/Languages/Python
# https://pypi.python.org/packages/source/F/Flask/Flask-0.10.1.tar.gz
Source0:	http://pypi.python.org/packages/source/F/Flask/Flask-%{version}.tar.gz
# Source0-md5:	378670fe456957eb3c27ddaef60b2b24
URL:		http://flask.pocoo.org/
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-distribute
BuildRequires:	python-distribute
BuildRequires:	python-jinja2 >= 2.4
BuildRequires:	python-werkzeug >= 0.6.1
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710

%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-jinja2 >= 2.4
BuildRequires:	python3-modules
BuildRequires:	python3-werkzeug >= 0.6.1
%endif

Requires:	python-itsdangerous
Requires:	python-jinja2 >= 2.4
Requires:	python-modules
Requires:	python-werkzeug >= 0.6.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Flask is a microframework for Python based on Werkzeug, Jinja 2 and
good intentions.

%package -n python3-%{module}
Summary:	-
Summary(pl.UTF-8):	-
Group:		Libraries/Python
Requires:	python3-itsdangerous
Requires:	python3-jinja2 >= 2.4
Requires:	python3-modules
Requires:	python3-werkzeug >= 0.6.1

%description -n python3-%{module}
Flask is a microframework for Python based on Werkzeug, Jinja 2 and
good intentions.

# %description -n python3-%{module} -l pl.UTF-8


%prep
%setup -q -n Flask-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

# in case there are examples provided
%if %{with python2}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%endif
%if %{with python3}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
find $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version} -name '*.py' \
        | xargs sed -i '1s|^#!.*python\b|#!%{__python3}|'
%endif



%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES README
%{py_sitescriptdir}/%{module}
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/Flask-*.egg-info
%endif
%{_examplesdir}/%{name}-%{version}
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/Flask-%{version}-py*.egg-info
%{_examplesdir}/python3-%{module}-%{version}
%endif
%changelog
* Thu Dec 29 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-flask.git;a=log;h=auto/th/python-flask-0.10.1-5

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> a5f5168
- python 3.6
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> b057849
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d79c30c
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> bb76c6e
- automatic change: use py_build/py_install macros

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> da0f03d
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f227bd
- python 3.4
- release 2 (by relup.sh)

* Thu Oct 02 2014 Mateusz Korniak <matkor@pld-linux.org> 21189e0
- Version 0.10.1-1
- Added python3 packages

* Fri Apr 06 2012 Elan Ruusamäe <glen@pld-linux.org> 5666ac4
- cleanup

* Fri Apr 06 2012 zbyniu <zbyniu@pld-linux.org> 5b5acce
- new

